Subject: bug#73257: closed (Re: bug#73257: 31.0.50; Deleting obsolete libraries in Emacs 31)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 30 Sep 2024 01:34:04 +0000

Your bug report

#73257: 31.0.50; Deleting obsolete libraries in Emacs 31

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73257: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73257
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73257: 31.0.50; Deleting obsolete libraries in Emacs 31
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Po Lu <[email-masked]>, [email-masked]
Date: Sun, 29 Sep 2024 18:31:35 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 31.1

Po Lu <[email-masked]> writes:

> pgg is still being used.  Please don't delete it on impulse.

Eli Zaretskii <[email-masked]> writes:

> I'd leave the TPU and Crisp/Brief emulations alone.

Thanks, so after 2 weeks of feedback, we seem to have consensus around
deleting 12 out of 25 of these obsolete libraries.

This is the full list of libraries to delete:

    cc-compat.el
    info-edit.el
    meese.el
    otodo-mode.el
    rcompile.el
    sup-mouse.el
    terminal.el
    vi.el
    vip.el
    ws-mode.el
    yow.el

Now done (commit 685ec273ecb).  I'm therefore closing this bug report.

Subject: 31.0.50; Deleting obsolete libraries in Emacs 31
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Sat, 14 Sep 2024 12:25:49 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: wishlist

We usually delete libraries obsoleted 10 years ago at the time of a new
Emacs release.  This should mean that anything made obsolete before
24.5, released on 2015-04-10, are candidates for deletion in Emacs 31.

This is the full list of such libraries:

    24.1 lisp/obsolete/pgg-def.el
    24.1 lisp/obsolete/pgg-gpg.el
    24.1 lisp/obsolete/pgg-parse.el
    24.1 lisp/obsolete/pgg-pgp.el
    24.1 lisp/obsolete/pgg-pgp5.el
    24.1 lisp/obsolete/pgg.el
    24.3 lisp/obsolete/bruce.el
    24.4 lisp/obsolete/info-edit.el
    24.4 lisp/obsolete/iswitchb.el
    24.4 lisp/obsolete/longlines.el
    24.4 lisp/obsolete/meese.el
    24.4 lisp/obsolete/otodo-mode.el
    24.4 lisp/obsolete/rcompile.el
    24.4 lisp/obsolete/sup-mouse.el
    24.4 lisp/obsolete/terminal.el
    24.4 lisp/obsolete/yow.el
    24.5 lisp/obsolete/cc-compat.el
    24.5 lisp/obsolete/crisp.el
    24.5 lisp/obsolete/tpu-edt.el
    24.5 lisp/obsolete/tpu-extras.el
    24.5 lisp/obsolete/tpu-mapper.el
    24.5 lisp/obsolete/vi.el
    24.5 lisp/obsolete/vip.el
    24.5 lisp/obsolete/ws-mode.el

1. We cannot yet remove iswitchb.el, as isearchb.el depends on it (see
   Bug#36260).

2. We also cannot remove longlines.el, as so-long.el depends on it, and
   even recommends it in certain cases.

3. ISTR that Eli objected to removing bruce.el in Emacs 30, so I'm
   assuming this objection this still stands.

Are there any other blockers or considerations?